#!/bin/sh -e

BBVERSION=1.2.1
ARCHIVE=busybox-${BBVERSION}.tar.bz2
DISTRIBUTION_DIR=distribution-${BBVERSION}
DISTRIBUTION_SUFFIX="-sony-navu"
BUILDDIR_ORIG=${ARCHIVE%.tar.bz2}
BUILDDIR=${ARCHIVE%.tar.bz2}${DISTRIBUTION_SUFFIX}

BUILDTOP=${PWD}


echo "Unpacking archive"
tar jxf ${ARCHIVE}
mv ${BUILDDIR_ORIG} ${BUILDDIR}


echo "Paching source tree from patches-${BBVERSION}"
(
    cd "${BUILDTOP}/${BUILDDIR}"
    cat ${BUILDTOP}/patches-${BBVERSION}/*.patch | patch -p1
)


echo "Creating patched archive for GPL source code distribution"
mkdir ${DISTRIBUTION_DIR}
tar jcvf ${DISTRIBUTION_DIR}/${BUILDDIR##*/}.tar.bz2  ${BUILDDIR}
cp -r ${BUILDTOP}/patches-${BBVERSION} ${DISTRIBUTION_DIR}


echo "Building"
cp config-${BBVERSION} ${BUILDDIR}/.config
(
    set -e
    cd "${BUILDTOP}/${BUILDDIR}"
    make oldconfig
    make
)
cp ${BUILDDIR}/busybox        .
cp ${BUILDDIR}/busybox.links  .
